Package org.apache.lucene.util.hnsw

## Class RandomVectorScorer.AbstractRandomVectorScorer<T>

- java.lang.Object
- - org.apache.lucene.util.hnsw.RandomVectorScorer.AbstractRandomVectorScorer<T>

- Type Parameters:
    `T` - the type of the vector values
  All Implemented Interfaces:
    `RandomVectorScorer`
  Direct Known Subclasses:
    `ScalarQuantizedRandomVectorScorer`
  Enclosing interface:
    RandomVectorScorer

      public abstract static class RandomVectorScorer.AbstractRandomVectorScorer<T>
      extends Object
      implements RandomVectorScorer

  Creates a default scorer for random access vectors.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.lucene.util.hnsw.RandomVectorScorer

      `RandomVectorScorer.AbstractRandomVectorScorer<T>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractRandomVectorScorer​(RandomAccessVectorValues<T> values)` | Creates a new scorer for the given vector values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Bits` | `getAcceptOrds​(Bits acceptDocs)` | Returns the `Bits` representing live documents.
    `int` | `maxOrd()` |
    `int` | `ordToDoc​(int ord)` | Translates vector ordinal to the correct document ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.hnsw.RandomVectorScorer

      `score`

- - ### Constructor Detail

    - #### AbstractRandomVectorScorer

          public AbstractRandomVectorScorer​(RandomAccessVectorValues<T> values)

      Creates a new scorer for the given vector values.
      Parameters:
        `values` - the vector values

  - ### Method Detail

    - #### maxOrd

          public int maxOrd()

      Specified by:
        `maxOrd` in interface `RandomVectorScorer`
      Returns:
        the maximum possible ordinal for this scorer

    - #### ordToDoc

          public int ordToDoc​(int ord)

      Description copied from interface: `RandomVectorScorer`
      Translates vector ordinal to the correct document ID. By default, this is an identity function.
      Specified by:
        `ordToDoc` in interface `RandomVectorScorer`
      Parameters:
        `ord` - the vector ordinal
      Returns:
        the document Id for that vector ordinal

    - #### getAcceptOrds

          public Bits getAcceptOrds​(Bits acceptDocs)

      Description copied from interface: `RandomVectorScorer`
      Returns the `Bits` representing live documents. By default, this is an identity function.
      Specified by:
        `getAcceptOrds` in interface `RandomVectorScorer`
      Parameters:
        `acceptDocs` - the accept docs
      Returns:
        the accept docs